// import 'cordova-plugin-purchase';

export type IRegisterProduct = {
    id: string;
    platform: CdvPurchase.Platform;
    type: CdvPurchase.ProductType;
}

export default {
    get product() : IRegisterProduct[] {
        return [
        {
            id: "test-non-consumable",
            platform: CdvPurchase.Platform.TEST,
            type: CdvPurchase.ProductType.NON_CONSUMABLE
        },
        {
            id: "app.sgl.linker.iap.test.1",
            platform: CdvPurchase.Platform.APPLE_APPSTORE,
            type: CdvPurchase.ProductType.CONSUMABLE
        },
        {
          id: 'subscription1',
          type: CdvPurchase.ProductType.PAID_SUBSCRIPTION,
          platform: CdvPurchase.Platform.APPLE_APPSTORE,
        }, {
          id: 'cc.fovea.purchase.subscription1sx',
          type: CdvPurchase.ProductType.PAID_SUBSCRIPTION,
          platform: CdvPurchase.Platform.APPLE_APPSTORE,
        }, {
          id: 'subscription2',
          type: CdvPurchase.ProductType.PAID_SUBSCRIPTION,
          platform: CdvPurchase.Platform.APPLE_APPSTORE,
        }, {
          id: 'cc.fovea.purchase.subscription2sx',
          type: CdvPurchase.ProductType.PAID_SUBSCRIPTION,
          platform: CdvPurchase.Platform.APPLE_APPSTORE,
        }
      ];
    }
}
