/// <reference types="@capacitor/splash-screen" />

import { CapacitorConfig } from '@capacitor/cli';

const config: CapacitorConfig = {
    appId: "app.lostseraph.linker",
    appName: "SGL: Armadillo Limbo",
    webDir: "dist/linker",
    bundledWebRuntime: false, 
    plugins: {
    SplashScreen: {
      launchAutoHide: false,
      backgroundColor: "#00000000",
      showSpinner: true,
      spinnerColor: "#ff0000",
      splashFullScreen: true,
      splashImmersive: true,
      layoutName: "launch_screen"
    },    
    CapacitorCookies: {
      "enabled": true
    }
  }
};

export default config;